RCSID $Id: drivers.net.Space.c,v 1.1 1999/09/24 00:41:16 rgb Exp $
--- ./drivers/net/Space.c.preipsec	Thu Sep 23 16:50:12 1999
+++ ./drivers/net/Space.c	Thu Sep 23 18:03:08 1999
@@ -929,6 +929,68 @@
 #   define      NEXT_DEV        (&sb1000_dev)
 #endif
 	
+#ifdef CONFIG_IPSEC
+extern int ipsec_tunnel_probe(struct net_device *);
+
+static struct net_device dev_ipsec3 = 
+{
+	"ipsec3" __PAD6,	/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	NEXT_DEV,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct net_device dev_ipsec2 = 
+{
+	"ipsec2" __PAD6,	/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec3,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct net_device dev_ipsec1 = 
+{
+	"ipsec1" __PAD6,	/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec2,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+
+static struct net_device dev_ipsec0 = 
+{
+	"ipsec0" __PAD6,	/* name */
+	0,			/* recv memory end */
+	0,			/* recv memory start */
+	0,			/* memory end */
+	0,			/* memory start */
+ 	0x0,			/* base I/O address */
+	0,			/* IRQ */
+	0, 0, 0,		/* flags */
+	&dev_ipsec1,		/* next device */
+	ipsec_tunnel_probe	/* setup */
+};
+#   undef	NEXT_DEV
+#   define	NEXT_DEV	(&dev_ipsec0)
+#endif /* CONFIG_IPSEC */
+
 extern int loopback_init(struct net_device *dev);
 struct net_device loopback_dev = {
 	"lo" __PAD2,		/* Software Loopback interface		*/
